package org.rcisoft.bus.wmsgoodsprice.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.wmsgoodsprice.entity.WmsGoodsPrice;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年12月12日 下午4:27:44.
*/

public interface WmsGoodsPriceRepository extends CyBaseMapper<WmsGoodsPrice> {


    List<WmsGoodsPrice> queryWmsGoodsPrices(@Param("entity") WmsGoodsPrice wmsGoodsPrice);

    /**
    * 分页查询 wmsGoodsPrice
    *
    */
    IPage<WmsGoodsPrice> queryWmsGoodsPricesPaged(CyPageInfo cyPageInfo,@Param("entity") WmsGoodsPrice wmsGoodsPrice);

    WmsGoodsPrice selectByGoodsArtNumber(String goodsArtNumber);
}

